from phenology import *
from canopyModel import *

lat = 57
lon = 86

temp= get_temperature ( latitude=lat, longitude=lon )
retval = fit_phenology_model( lon, lat, [2001],\
             temp,tbase=-10.,do_agdd=True, pheno_model="quadratic")
ndvi = retval[1]

[ipar,temp2,mu,julian,dt]  = drivers(ndays=365*11+2,lat=lat,lon=lon)
temp2,ndviFull = fixTemperature(temp,temp2,julian,ndvi,mu)

plt.clf()
plt.xlabel('NDVI')
plt.ylabel('modelled fapar')
initialLAI = 2.0
omega=None
leaf = leafScale(ipar,temp2,omega=omega,type='C3 grass')
plt.plot(np.array([0.,0.]),np.array([1.,1.]),'k',label='1:1 line')
for leafLoss in [0.8,0.9,1.0]:
    canopyScale(leaf,initialLAI,mu,julian,dt=dt,leafLoss=leafLoss)
    plt.plot(ndviFull[365*2:],leaf.fapar[365*2:],'.',label='leaf loss=%.2f'%(leafLoss))
plt.legend(loc=4)
plt.title('lon %.2f lat %.2f'%(lon,lat))
plt.show()